#!/usr/bin/env racket
#lang racket/base

(require racket/format)

(provide all-packages package-options)

(define (mygit  a) (~a "https://git.greyserv.net/marrub/" a))
(define (gitlab a) (~a "https://gitlab.com/" a))
(define (github a) (~a "https://github.com/" a))

(define all-packages
  (list
    'cef-standard
    'kmozillahelper
    'libsodium-git
    'vim-runtime-git

    'basiliskii-git
    'chocolate-doom
    'crosstool-ng-git
    'desmume-git
    'dolphin-emu-git
    'eternity-engine-git
    'fceux-git
    'firefox-kde-opensuse-bin
    'gdcc-git
    'gitahead
    'gopherus
    'gvim-git
    'higan
    'maxcso
    'mednaffe
    'megatools
    'mgba-git
    'minecraft-launcher
    'minecraft-server-fabric
    'motsognir
    'mupen64plus-git
    'mupen64plus-gui-git
    'mupen64plus-rsp-cxd4-git
    'mupen64plus-video-angrylion-plus-git
    'mupen64plus-video-gliden64
    'nicotine-plus-git
    'obs-linuxbrowser-bin
    'otf-linjapona
    'otf-san-francisco
    'powershell-bin
    'ppsspp-git
    'prboom-plus
    'previous-svn
    'qjoypad
    'quark-shaders
    'ripcord
    'sharenix-git
    'sheepshaver-git
    'slade
    'squirrel-sql
    'teamviewer
    'ttf-mac-fonts
    'ttf-twemoji-color
    'xf86-input-xwiimote-git
    'xwiimote-git))

(define package-options
  (hash
    'cef-standard
      (hash 'asdeps #t)

    'kmozillahelper
      (hash 'asdeps #t)

    'libsodium-git
      (hash 'asdeps #t)

    'vim-runtime-git
      (hash 'asdeps #t)

    'desmume-git
      (hash 'url (mygit "desmume-git.git"))

    'gdcc-git
      (hash 'url (mygit "gdcc-git.git"))

    'higan
      (hash 'handle 'higan
            'url (gitlab "higan/higan.git/"))

    'minecraft-server-fabric
      (hash 'url (mygit "minecraft-server-fabric.git"))

    'otf-linjapona
      (hash 'url (mygit "otf-linjapona.git"))

    'ppsspp-git
      (hash 'url (mygit "ppsspp-git.git"))

    'quark-shaders
      (hash 'handle 'higan-shaders
            'url (github "hizzlekizzle/quark-shaders"))

    'teamviewer
      (hash 'url (mygit "teamviewer.git")
            'branch "nmfix")))

;; EOF
